Page MenuHomePhabricator

install onionshare by default in Whonix 15
Closed, ResolvedPublic

Description

Lots of progress on getting onionshare to work in Whonix has been made.

There is a very good onionshare it will work in Whonix 14. But it will require a little user command line action.

Should we install onionshare by default?

The usability issue will be, that onionshare will not out of the box. We really shouldn't enable the control-port-filter-python config for onionshare by default, as it enables the workstation to set up Tor hidden services. (And Tor with hidden services is less secure than Tor as client only.)

onionshare in these cases currently fails in a usability wise very bad way. The gui keeps stuck in "Starting the onionservice...". (Posted an onionshare feature request to improve the error handling. - But it most likely won't make it into Debian version 9 codename Stretch.)

Our options are having it only available in Whonix onionshare documentation or installing it by default on still requiring a user to read and apply the Whonix onionshare documentation.

For Whonix releases later than Whonix 14, this could be improved usability wise. Most conveniently in Qubes-Whonix there could be on onionshare launch a qrexec call where then a gateway gui explains this and lets the user enable or not enable the required onionshare config.

Details

Impact
Normal

Event Timeline

Patrick created this task.Jan 10 2017, 11:54 AM

Our options are having it only available in Whonix onionshare documentation or installing it by default on still requiring a user to read and apply the Whonix onionshare documentation.

IMO its best to include it even if there is a couple of config steps needed. That would be one less step for an interested user to do. Generally including any upstream Tor apps is the way to go (unless there is a major reason not to).

HulaHoop reopened this task as Open.Jan 11 2019, 7:46 PM

Onionshare is in Buster.
https://packages.debian.org/buster/onionshare

Once it is tested and included by default T771 can be closed.

Patrick renamed this task from decide if we should install onionshare by default in Whonix 14 to install onionshare by default in Whonix 15.Jan 12 2019, 7:47 AM
Patrick closed this task as Resolved.Apr 14 2019, 3:36 PM